ADD_DEFINITIONS(-DWITH_TRACE)

INCLUDE_DIRECTORIES(
        ${CMAKE_SOURCE_DIR}/src
        ${ARTIS_INCLUDE_DIRS}
        ${Boost_INCLUDE_DIRS})

LINK_DIRECTORIES(${ARTIS_LIBRARY_DIRS})

SET(FACTORY_CORE_HPP Base.hpp Combiner.hpp Conveyor.hpp FactoryGraphManager.hpp Item.hpp ItemStock.hpp JsonReader.hpp
        Machine.hpp PoolRouter.hpp Processor.hpp ProductionOrder.hpp ProductionOrderGenerator.hpp Router.hpp
        Separator.hpp Sink.hpp Stock.hpp)

SET(FACTORY_CORE_CPP Base.cpp Combiner.hpp Conveyor.hpp ItemStock.cpp Machine.cpp PoolRouter.cpp Processor.cpp
        ProductionOrder.cpp ProductionOrderGenerator.cpp Router.cpp Separator.cpp Sink.cpp Stock.cpp)

ADD_LIBRARY(factory_core ${FACTORY_CORE_HPP} ${FACTORY_CORE_CPP})

TARGET_LINK_LIBRARIES(factory_core ${Boost_LIBRARIES} ${ARTIS_LIBRARIES})
